package org.jum.scalademo

import java.sql._
import java.net._

//Example is taken from: http://www.codecommit.com/blog/scala/scala-for-java-refugees-part-4
object ExceptionExample {

  def saveUrl() = {
    val conn = DriverManager.getConnection(
      "jdbc:hsqldb:mem:testdb", "sa", "")
	try {
	  val stmt = conn.prepareStatement(
	    "INSERT INTO urls (url) VALUES (?)")
	  stmt.setObject(1, new URL("http://www.codecommit.com"))
	 
	  stmt.executeUpdate()
	  stmt.close()
   
   
   
   
   
	} catch {
	  case e:SQLException => println("Database error")
	  case e:MalformedURLException => println("Bad URL")
	 
	  case e => {
	    println("Some other exception type:")
	    e.printStackTrace()
	  }
	} finally {
	  conn.close()
	}
  }
  
      
  def main(args : scala.Array[String]) : Unit = {
  }

}
