package org.jum.scalademo

object SimpleAOPExample {
  
  
  
  
  
  
  
  
  def logged[A](e: => A) : A = {
      println("Before invocation.");
      val result = e;
      println("After invocation (success). Result: " + result);
      result;
  }
    
  
  
  
  
  
  
  
  
  def main(args : Array[String]) : Unit = {
    
    
	println(this.logged({ 3+2 }));
 
 
 
 
    println(logged { 3+2 });
    
    
    
    
    
    def square(x: Int) = logged {
      x*x
    }

    
    
    
    var ctr = 0;
    
    def squareSynch(x: Int) = synchronized {
      ctr = ctr+1;
      x*x;
    }    
    
    
    println(square(11))
  }
}
