package org.jum.scalademo

//Example taken from scala devel examples
//Modified

object XMLExample2 {
  
  val company  = <a href="http://acme.org">ACME</a>
  
    
    
    
  def entry(first : String, last: String, number : String) =
      <entry>
        <name>{ first+" "+last }</name> 
        <phone>{number}</phone>
      </entry>

        
        
        
  val embBook = 
    <phonebook>
      <descr>
        This is the <b>phonebook</b> of the 
        {company} corporation.
      </descr>
      { entry("Burak", "Emir", "+44123456789") }
      { entry("Iulian", "Dragos", "+44123456787") }
    </phonebook>;

    
    
    
  def main(args: Array[String]) = {
    
    println( embBook )
    
    
    import scala.xml.{ Node, Text };

    
    def add(phonebook: Node, newEntry: Node ): Node = phonebook match {
       case <phonebook>{ oldEntries @ _* }</phonebook> => 
            <phonebook>{ oldEntries }{ newEntry }</phonebook>
    	};
    
    println
    
    
    println(add(embBook, entry("a", "b", "+44123454321")));
  }
}
